%define name     ecamegapedal
%define version  0.4.4
%define release  1mdk

Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
Source: 	http://ecasound.seul.org/download/%name-%version.tar.bz2
URL: 		http://www.wakkanet.fi/~kaiv/ecamegapedal/
BuildRoot:	%_tmppath/%name-buildroot
Requires: 	jackit ecasound >= 2.2.0 
BuildRequires: 	libecasound-devel jackit-devel qt3-devel
BuildRequires:  audiofile-devel libalsa-devel

Summary: 	A realtime effect processor
Group: 		Sound

%description
Ecamegapedal is a realtime effect processor built on top 
of ecasound and Qt packages. It's meant to be used as 
a virtual guitar-fx or studio effect box. In addition to 
realtime operation, ecamegapedal also supports reading from
and writing to audio files. All audio file formats and effect 
algorithms provided by the ecasound libraries are supported. 
This includes JACK, ALSA, OSS, aRts, over 20 file formats, 
over 30 effect types, LADSPA plugins and multi-operator effect 
presets.

%prep
%setup -q -n %name-%version

%build
export QTDIR=%_libdir/qt3
export PATH=$QTDIR/bin:$PATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
%configure2_5x --with-jack=%_prefix --disable-static $extra_params
make qt_libname=qt-mt

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install-strip

# Menu
mkdir -p %buildroot/%{_menudir}
cat > %buildroot/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="sound_section.png" section="Multimedia/Sound" \
title="EcaMegaPedal" longtitle="Realtime audio effects"
EOF

%post
%update_menus
		
%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc NEWS COPYING README INSTALL
%doc Documentation/ecamegapedal_manpage.html
%{_mandir}/man1/eca*
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name

%changelog
* Sun Apr 18 2004 Austin Acton <austin@mandrake.org> 0.4.4-1mdk
- 0.4.4

* Wed Aug 20 2003 Austin Acton <aacton@yorku.ca> 0.4.3-1mdk
- 0.4.3

* Thu Jun 5 2003 Austin Acton <aacton@yorku.ca> 0.4.2-1mdk
- 0.4.2

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.4.1-3mdk
- distlint (DIRM)

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.4.1-2mdk
- buildrequires alsa

* Fri Mar 14 2003 Austin Acton <aacton@yorku.ca> 0.4.1-1mdk
- 0.4.1
- eliminate need for patch

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 0.4.0-1mdk
- get spec from Quel Qun <kelk1@hotmail.com> (thanks)
- add menu
- initial package
